# Shipping Configurations Shipping Configurations ## Returns a shipping configuration from the system by its ID. - [DELETE /shippingConfigurations/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shipping-configurations/deleteshippingconfiguration.md): This method will delete a shipping configuration with the specified ID. ## Returns a shipping configuration from the system by its ID. - [GET /shippingConfigurations/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shipping-configurations/getshippingconfiguration.md): This method will look up a shipping configuration by the specified ID and return it back. ## Partially updates a shipping configuration with the specified ID. - [PATCH /shippingConfigurations/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shipping-configurations/patchshippingconfiguration.md): This method will patch an existing shipping configuration with the specified ID, using the HTTP PATCH specification. ## Creates a new shipping configuration record that does not already exist. - [POST /shippingConfigurations/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shipping-configurations/createshippingconfiguration.md): This method will auto-generate an ID and create a new shipping configuration. If an ID is specified for the shipping configuration, an error will be thrown. ## Updates a shipping configuration with the specified ID. - [PUT /shippingConfigurations/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shipping-configurations/updateshippingconfiguration.md): This method will update an existing shipping configuration with the specified ID.